'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6d45f1b0.js');
const utils = require('./utils-3c5260ae.js');

const circleProgressCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * The first name
     */
    //@Prop() first: string;
    this.progress = "0";
    this.progressSize = "150";
    this.progressColor = "#2ecc71";
    this.backgroundColor = "#000000";
  }
  getProgress() {
    return utils.format(this.progress, '', '');
  }
  render() {
    return index.h("div", { style: {
        width: `${this.progressSize}px`,
        height: `${this.progressSize}px`,
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `conic-gradient(${this.progressColor} ${this.getProgress()}%, 0, #ecf0f1 ${(100 - parseInt(this.getProgress())).toString()}%)`,
        borderRadius: `50%`
      } }, index.h("div", { style: {
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        backgroundColor: `${this.backgroundColor}`,
        height: `60%`,
        width: `60%`,
        borderRadius: `50%`,
        boxShadow: `0px 0px 7px 0px rgba(0, 0, 0, 0.1)`
      } }));
  }
};
MyComponent.style = circleProgressCss;

exports.circle_progress = MyComponent;
