import { p as promiseResolve, b as bootstrapLazy } from './index-0d12c4e4.js';

/*
 Stencil Client Patch Browser v2.6.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["bar-progress",[[1,"bar-progress",{"progress":[1],"progressSize":[1,"progress-size"],"progressColor":[1,"progress-color"]}]]],["circle-progress",[[1,"circle-progress",{"progress":[1],"progressSize":[1,"progress-size"],"progressColor":[1,"progress-color"],"backgroundColor":[1,"background-color"]}]]],["ion-status",[[1,"ion-status",{"statusColor":[1,"status-color"],"statusSize":[1,"status-size"]}]]],["my-component",[[1,"my-component",{"first":[1]}]]]], options);
});
