'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6d45f1b0.js');

/*
 Stencil Client Patch Esm v2.6.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return index.promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return index.bootstrapLazy([["bar-progress.cjs",[[1,"bar-progress",{"progress":[1],"progressSize":[1,"progress-size"],"progressColor":[1,"progress-color"]}]]],["circle-progress.cjs",[[1,"circle-progress",{"progress":[1],"progressSize":[1,"progress-size"],"progressColor":[1,"progress-color"],"backgroundColor":[1,"background-color"]}]]],["ion-status.cjs",[[1,"ion-status",{"statusColor":[1,"status-color"],"statusSize":[1,"status-size"]}]]],["my-component.cjs",[[1,"my-component",{"first":[1]}]]]], options);
  });
};

exports.defineCustomElements = defineCustomElements;
