'use strict';

const index = require('./index-6d45f1b0.js');

/*
 Stencil Client Patch Browser v2.6.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('projflow-components.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["bar-progress.cjs",[[1,"bar-progress",{"progress":[1],"progressSize":[1,"progress-size"],"progressColor":[1,"progress-color"]}]]],["circle-progress.cjs",[[1,"circle-progress",{"progress":[1],"progressSize":[1,"progress-size"],"progressColor":[1,"progress-color"],"backgroundColor":[1,"background-color"]}]]],["ion-status.cjs",[[1,"ion-status",{"statusColor":[1,"status-color"],"statusSize":[1,"status-size"]}]]],["my-component.cjs",[[1,"my-component",{"first":[1]}]]]], options);
});
