import { r as registerInstance, h } from './index-0d12c4e4.js';
import { f as format } from './utils-b93c85bf.js';

const barProgressCss = ":host{display:block}.cont{margin:2px 0;background:rgba(0, 200, 0, .15);border-radius:50px}.cont .loader{position:relative;box-sizing:border-box;background:rgba(0, 200, 0, .7);border-radius:50px;transition:width 1.5s linear}.cont .loader:before{content:\"\";position:absolute;top:0;left:0;height:100%;border-radius:50px;width:100%;background:linear-gradient(to  right, rgba(0, 200, 0, .3), rgba(0, 100, 0, .8));animation:purge 4s infinite ease-out}@keyframes purge{0%{opacity:0;width:0%}50%{opacity:.5}100%{opacity:0;width:100%}}";

const MyComponent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * The first name
     */
    this.progress = "0";
    this.progressSize = "150";
    this.progressColor = "#2ecc71";
  }
  getProgress() {
    return format(this.progress, '', '');
  }
  render() {
    return h("div", { class: "cont", style: {
        height: `${this.progressSize}px`,
        width: `100%`,
      } }, h("div", { class: "loader", style: {
        height: `${this.progressSize}px`,
        width: `${this.getProgress()}%`,
      } }));
  }
};
MyComponent.style = barProgressCss;

export { MyComponent as bar_progress };
